librevenge::RVNGSVGPresentationGeneratorImpl Struct Reference documentation

librevenge::RVNGSVGPresentationGeneratorImpl Struct Reference

## Public Member Functions
| RVNGSVGPresentationGeneratorImpl (RVNGStringVector &m_vec)
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const RVNGPropertyListVector &vertices, bool isClosed)

## Public Attributes
std::map< int, RVNGPropertyList > | m_idSpanMap
RVNGPropertyListVector | m_gradient
RVNGPropertyList | m_style
int | m_gradientIndex
int | m_patternIndex
int | m_arrowStartIndex
| start arrow index
int | m_arrowEndIndex
| end arrow index
int | m_layerId
| layerId used if svg:id is not defined when calling startLayer
int | m_shadowIndex
std::ostringstream | m_outputSink
RVNGStringVector & | m_vec
RVNGString | m_masterName
| the actual master name
std::map< RVNGString, std::string > | m_masterNameToContentMap
| a map master name to master content
boost::shared_ptr< Table > | m_table
| the actual opened table

## Constructor & Destructor Documentation

## ◆ RVNGSVGPresentationGeneratorImpl()

librevenge::RVNGSVGPresentationGeneratorImpl::RVNGSVGPresentationGeneratorImpl | ( | RVNGStringVector & | m_vec | ) |

## Member Function Documentation

## ◆ drawPolySomething()

void librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething | ( | const RVNGPropertyListVector & | vertices,
|  | bool | isClosed )

## ◆ writeStyle()

void librevenge::RVNGSVGPresentationGeneratorImpl::writeStyle | ( | bool | isClosed = true | ) |

Referenced by drawPolySomething().

## Member Data Documentation

## ◆ m_arrowEndIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_arrowEndIndex

end arrow index

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_arrowStartIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_arrowStartIndex

start arrow index

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_gradient

RVNGPropertyListVector librevenge::RVNGSVGPresentationGeneratorImpl::m_gradient

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_gradientIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_gradientIndex

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_idSpanMap

std::map<int, RVNGPropertyList> librevenge::RVNGSVGPresentationGeneratorImpl::m_idSpanMap

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_layerId

int librevenge::RVNGSVGPresentationGeneratorImpl::m_layerId

layerId used if svg:id is not defined when calling startLayer

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_masterName

RVNGString librevenge::RVNGSVGPresentationGeneratorImpl::m_masterName

the actual master name

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_masterNameToContentMap

std::map<RVNGString, std::string> librevenge::RVNGSVGPresentationGeneratorImpl::m_masterNameToContentMap

a map master name to master content

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_outputSink

std::ostringstream librevenge::RVNGSVGPresentationGeneratorImpl::m_outputSink

Referenced by drawPolySomething(), RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_patternIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_patternIndex

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_shadowIndex

int librevenge::RVNGSVGPresentationGeneratorImpl::m_shadowIndex

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_style

RVNGPropertyList librevenge::RVNGSVGPresentationGeneratorImpl::m_style

Referenced by RVNGSVGPresentationGeneratorImpl(), and writeStyle().

## ◆ m_table

boost::shared_ptr<Table> librevenge::RVNGSVGPresentationGeneratorImpl::m_table

the actual opened table

Referenced by RVNGSVGPresentationGeneratorImpl().

## ◆ m_vec

RVNGStringVector& librevenge::RVNGSVGPresentationGeneratorImpl::m_vec

Referenced by RVNGSVGPresentationGeneratorImpl().

The documentation for this struct was generated from the following file:

- RVNGSVGPresentationGenerator.cpp